apiVersion: kustomize.config.k8s.io/v1beta1
commonLabels:
  app: ws-wfcatalog
  context: staging
# configMapGenerator:
# - env: config.properties
#   name: ws-wfcatalog-configmap
images:
- name: ghcr.io/eida/wfcatalog-ws
  newTag: 3f8e782
- name: dibi/envsubst
  newTag: latest
kind: Kustomization
namespace: staging
namePrefix: staging-
patches:
- patch: |- # Ajout de l hote ws(-staging).resif.fr':
    - op: add
      path: /spec/rules/0/host
      value: ws-staging.resif.fr
  target:
    kind: Ingress
    name: ws-wfcatalog-ingress
- patch: |- # Ajout des secrets comme variables d environnement':
    apiVersion: apps/v1
    kind: Deployment
    metadata:
      name: ws-wfcatalog-deployment
    spec:
      template:
        spec:
          initContainers:
          - env:
            - name: MONGODB_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: mongodbpass
                  name: staging-ws-wfcatalog-secrets
            name: init-config
replicas:
- count: 1
  name: ws-wfcatalog-deployment
resources:
- ../../base
- configmap.yaml
